<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: RequestHeader Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classRequestHeader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RequestHeader Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="request__header_8h_source.html">request_header.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for RequestHeader:</div>
<div class="dyncontent">
<div class="center"><img src="classRequestHeader__coll__graph.png" border="0" usemap="#RequestHeader_coll__map" alt="Collaboration graph"/></div>
<map name="RequestHeader_coll__map" id="RequestHeader_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,152,171"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa755158b5725111b734f7c99136a2026"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequestHeader.html#aa755158b5725111b734f7c99136a2026">RequestHeader</a> (<a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a> method, std::string path, std::unordered_map&lt; std::string, std::string &gt; kv)</td></tr>
<tr class="separator:aa755158b5725111b734f7c99136a2026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64f50bc9d7cb3fb39d23f4c987e7eb57"><td class="memItemLeft" align="right" valign="top"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequestHeader.html#a64f50bc9d7cb3fb39d23f4c987e7eb57">getMethod</a> () const</td></tr>
<tr class="separator:a64f50bc9d7cb3fb39d23f4c987e7eb57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a423256d67ad4d3af3515bca5d06219"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequestHeader.html#a8a423256d67ad4d3af3515bca5d06219">getPath</a> () const</td></tr>
<tr class="separator:a8a423256d67ad4d3af3515bca5d06219"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae7f8bea60ec86539bfb38d1378ffa1ba"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classRequestHeader.html">RequestHeader</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequestHeader.html#ae7f8bea60ec86539bfb38d1378ffa1ba">parse</a> (const std::string &amp;headerStr)</td></tr>
<tr class="separator:ae7f8bea60ec86539bfb38d1378ffa1ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a54ac81a72748cc7fd2c6628adc6924e7"><td class="memItemLeft" align="right" valign="top">static std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequestHeader.html#a54ac81a72748cc7fd2c6628adc6924e7">split</a> (const std::string &amp;headerStr, const std::string &amp;delim)</td></tr>
<tr class="separator:a54ac81a72748cc7fd2c6628adc6924e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6b6eb70107b8c49316005f9f62e3e52d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequestHeader.html#a6b6eb70107b8c49316005f9f62e3e52d">m_method</a></td></tr>
<tr class="separator:a6b6eb70107b8c49316005f9f62e3e52d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0bd0001fba17eb2ddc4d6f5d226c7b4"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequestHeader.html#af0bd0001fba17eb2ddc4d6f5d226c7b4">m_path</a></td></tr>
<tr class="separator:af0bd0001fba17eb2ddc4d6f5d226c7b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab64aa5824bd54c4e281551283ca38a72"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRequestHeader.html#ab64aa5824bd54c4e281551283ca38a72">m_kv</a></td></tr>
<tr class="separator:ab64aa5824bd54c4e281551283ca38a72"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa755158b5725111b734f7c99136a2026"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa755158b5725111b734f7c99136a2026">&#9670;&nbsp;</a></span>RequestHeader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RequestHeader::RequestHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a>&#160;</td>
          <td class="paramname"><em>method</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::unordered_map&lt; std::string, std::string &gt;&#160;</td>
          <td class="paramname"><em>kv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a64f50bc9d7cb3fb39d23f4c987e7eb57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64f50bc9d7cb3fb39d23f4c987e7eb57">&#9670;&nbsp;</a></span>getMethod()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a> RequestHeader::getMethod </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a423256d67ad4d3af3515bca5d06219"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a423256d67ad4d3af3515bca5d06219">&#9670;&nbsp;</a></span>getPath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string &amp; RequestHeader::getPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7f8bea60ec86539bfb38d1378ffa1ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7f8bea60ec86539bfb38d1378ffa1ba">&#9670;&nbsp;</a></span>parse()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classRequestHeader.html">RequestHeader</a> RequestHeader::parse </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>headerStr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a54ac81a72748cc7fd2c6628adc6924e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54ac81a72748cc7fd2c6628adc6924e7">&#9670;&nbsp;</a></span>split()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt; std::string &gt; RequestHeader::split </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>headerStr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>delim</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab64aa5824bd54c4e281551283ca38a72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab64aa5824bd54c4e281551283ca38a72">&#9670;&nbsp;</a></span>m_kv</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;std::string, std::string&gt; RequestHeader::m_kv</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6b6eb70107b8c49316005f9f62e3e52d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b6eb70107b8c49316005f9f62e3e52d">&#9670;&nbsp;</a></span>m_method</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="request__header_8h.html#a2a3c0067e44c5ef3210a256d06c16b0f">Method</a> RequestHeader::m_method</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af0bd0001fba17eb2ddc4d6f5d226c7b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0bd0001fba17eb2ddc4d6f5d226c7b4">&#9670;&nbsp;</a></span>m_path</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string RequestHeader::m_path</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>backend/src/lib/server/<a class="el" href="request__header_8h_source.html">request_header.h</a></li>
<li>backend/src/lib/server/<a class="el" href="request__header_8cpp.html">request_header.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
